Skip to main content
`Ctrl`+`K`

# TAONTL

Newton’s method with trust region globalization and line search fallback. At each iteration, the Newton trust region method solves the system for d and performs a line search in the d direction: \(\min_d .5 d^T H_k d + g_k^T d, s.t. ||d|| < \Delta_k.\)

## Options Database Keys

- -tao_ntl_init_type - “constant”,”direction”,”interpolation”

- -tao_ntl_update_type - “reduction”,”interpolation”

- -tao_ntl_min_radius - lower bound on trust region radius

- -tao_ntl_max_radius - upper bound on trust region radius

- -tao_ntl_epsilon - tolerance for accepting actual / predicted reduction

- -tao_ntl_mu1_i - mu1 interpolation initial factor

- -tao_ntl_mu2_i - mu2 interpolation initial factor

- -tao_ntl_gamma1_i - gamma1 interpolation initial factor

- -tao_ntl_gamma2_i - gamma2 interpolation initial factor

- -tao_ntl_gamma3_i - gamma3 interpolation initial factor

- -tao_ntl_gamma4_i - gamma4 interpolation initial factor

- -tao_ntl_theta_i - theta1 interpolation initial factor

- -tao_ntl_eta1 - eta1 reduction update factor

- -tao_ntl_eta2 - eta2 reduction update factor

- -tao_ntl_eta3 - eta3 reduction update factor

- -tao_ntl_eta4 - eta4 reduction update factor

- -tao_ntl_alpha1 - alpha1 reduction update factor

- -tao_ntl_alpha2 - alpha2 reduction update factor

- -tao_ntl_alpha3 - alpha3 reduction update factor

- -tao_ntl_alpha4 - alpha4 reduction update factor

- -tao_ntl_mu1 - mu1 interpolation update

- -tao_ntl_mu2 - mu2 interpolation update

- -tao_ntl_gamma1 - gamma1 interpolation update

- -tao_ntl_gamma2 - gamma2 interpolation update

- -tao_ntl_gamma3 - gamma3 interpolation update

- -tao_ntl_gamma4 - gamma4 interpolation update

- -tao_ntl_theta - theta1 interpolation update

The various algorithmic factors can only be supplied via the options database

## See Also

`Tao`, `TAONTR`, `TAONLS`, `TAONM`, `TAOCG`, `TaoType`, `TaoCreate()`

## Level

beginner

## Location

src/tao/unconstrained/impls/ntl/ntl.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages